Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.droolsjbpm.services.api
Enum DeploymentUnit.RuntimeStrategy

    java.lang.Object
      java.lang.Enum<DeploymentUnit.RuntimeStrategy>
          org.droolsjbpm.services.api.DeploymentUnit.RuntimeStrategy

All Implemented Interfaces:
  Serializable, Comparable<DeploymentUnit.RuntimeStrategy>

Enclosing interface:
  DeploymentUnit

    public static enum DeploymentUnit.RuntimeStrategy

extends Enum<DeploymentUnit.RuntimeStrategy>

Enum Constant Summary
`PER_PROCESS_INSTANCE`
`PER_REQUEST`
`SINGLETON`

Method Summary
`static DeploymentUnit.RuntimeStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DeploymentUnit.RuntimeStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLETON

    public static final DeploymentUnit.RuntimeStrategy SINGLETON

### PER_REQUEST

    public static final DeploymentUnit.RuntimeStrategy PER_REQUEST

### PER_PROCESS_INSTANCE

    public static final DeploymentUnit.RuntimeStrategy PER_PROCESS_INSTANCE

Method Detail

### values

    public static DeploymentUnit.RuntimeStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DeploymentUnit.RuntimeStrategy c : DeploymentUnit.RuntimeStrategy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DeploymentUnit.RuntimeStrategy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.